Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Interface Visitor

All Known Implementing Classes:
  CompositeVisitor, Groovifier, Java2GroovyConverter, MindMapPrinter, NodeAsHTMLPrinter, NodeCollector, NodePrinter, PreJava2GroovyConverter, SimpleGroovyClassDocAssembler, SourcePrinter, VisitorAdapter

    public interface Visitor

An interface for visiting a GroovySourceAST node.

Version:
  $Revision: 8794 $
Author:
  Jeremy Rayner

Field Summary
`static int` | `CLOSING_VISIT`
`static int` | `OPENING_VISIT`
`static int` | `SECOND_VISIT`
`static int` | `SUBSEQUENT_VISIT`

Method Summary
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `visitAbstract(GroovySourceAST t, int visit)`
`void` | `visitAnnotation(GroovySourceAST t, int visit)`
`void` | `visitAnnotationArrayInit(GroovySourceAST t, int visit)`
`void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationMemberValuePair(GroovySourceAST t, int visit)`
`void` | `visitAnnotations(GroovySourceAST t, int visit)`
`void` | `visitArrayDeclarator(GroovySourceAST t, int visit)`
`void` | `visitAssign(GroovySourceAST t, int visit)`
`void` | `visitAt(GroovySourceAST t, int visit)`
`void` | `visitBand(GroovySourceAST t, int visit)`
`void` | `visitBandAssign(GroovySourceAST t, int visit)`
`void` | `visitBigSuffix(GroovySourceAST t, int visit)`
`void` | `visitBlock(GroovySourceAST t, int visit)`
`void` | `visitBnot(GroovySourceAST t, int visit)`
`void` | `visitBor(GroovySourceAST t, int visit)`
`void` | `visitBorAssign(GroovySourceAST t, int visit)`
`void` | `visitBsr(GroovySourceAST t, int visit)`
`void` | `visitBsrAssign(GroovySourceAST t, int visit)`
`void` | `visitBxor(GroovySourceAST t, int visit)`
`void` | `visitBxorAssign(GroovySourceAST t, int visit)`
`void` | `visitCaseGroup(GroovySourceAST t, int visit)`
`void` | `visitClassDef(GroovySourceAST t, int visit)`
`void` | `visitClosedBlock(GroovySourceAST t, int visit)`
`void` | `visitClosureList(GroovySourceAST t, int visit)`
`void` | `visitClosureOp(GroovySourceAST t, int visit)`
`void` | `visitColon(GroovySourceAST t, int visit)`
`void` | `visitComma(GroovySourceAST t, int visit)`
`void` | `visitCompareTo(GroovySourceAST t, int visit)`
`void` | `visitCtorCall(GroovySourceAST t, int visit)`
`void` | `visitCtorIdent(GroovySourceAST t, int visit)`
`void` | `visitDec(GroovySourceAST t, int visit)`
`void` | `visitDefault(GroovySourceAST t, int visit)`
`void` | `visitDigit(GroovySourceAST t, int visit)`
`void` | `visitDiv(GroovySourceAST t, int visit)`
`void` | `visitDivAssign(GroovySourceAST t, int visit)`
`void` | `visitDollar(GroovySourceAST t, int visit)`
`void` | `visitDot(GroovySourceAST t, int visit)`
`void` | `visitDynamicMember(GroovySourceAST t, int visit)`
`void` | `visitElist(GroovySourceAST t, int visit)`
`void` | `visitEmptyStat(GroovySourceAST t, int visit)`
`void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
`void` | `visitEnumDef(GroovySourceAST t, int visit)`
`void` | `visitEof(GroovySourceAST t, int visit)`
`void` | `visitEqual(GroovySourceAST t, int visit)`
`void` | `visitEsc(GroovySourceAST t, int visit)`
`void` | `visitExponent(GroovySourceAST t, int visit)`
`void` | `visitExpr(GroovySourceAST t, int visit)`
`void` | `visitExtendsClause(GroovySourceAST t, int visit)`
`void` | `visitFinal(GroovySourceAST t, int visit)`
`void` | `visitFloatSuffix(GroovySourceAST t, int visit)`
`void` | `visitForCondition(GroovySourceAST t, int visit)`
`void` | `visitForEachClause(GroovySourceAST t, int visit)`
`void` | `visitForInit(GroovySourceAST t, int visit)`
`void` | `visitForInIterable(GroovySourceAST t, int visit)`
`void` | `visitForIterator(GroovySourceAST t, int visit)`
`void` | `visitGe(GroovySourceAST t, int visit)`
`void` | `visitGt(GroovySourceAST t, int visit)`
`void` | `visitHexDigit(GroovySourceAST t, int visit)`
`void` | `visitIdent(GroovySourceAST t, int visit)`
`void` | `visitImplementsClause(GroovySourceAST t, int visit)`
`void` | `visitImplicitParameters(GroovySourceAST t, int visit)`
`void` | `visitImport(GroovySourceAST t, int visit)`
`void` | `visitInc(GroovySourceAST t, int visit)`
`void` | `visitIndexOp(GroovySourceAST t, int visit)`
`void` | `visitInstanceInit(GroovySourceAST t, int visit)`
`void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
`void` | `visitLabeledArg(GroovySourceAST t, int visit)`
`void` | `visitLabeledStat(GroovySourceAST t, int visit)`
`void` | `visitLand(GroovySourceAST t, int visit)`
`void` | `visitLbrack(GroovySourceAST t, int visit)`
`void` | `visitLcurly(GroovySourceAST t, int visit)`
`void` | `visitLe(GroovySourceAST t, int visit)`
`void` | `visitLetter(GroovySourceAST t, int visit)`
`void` | `visitListConstructor(GroovySourceAST t, int visit)`
`void` | `visitLiteralAs(GroovySourceAST t, int visit)`
`void` | `visitLiteralAssert(GroovySourceAST t, int visit)`
`void` | `visitLiteralBoolean(GroovySourceAST t, int visit)`
`void` | `visitLiteralBreak(GroovySourceAST t, int visit)`
`void` | `visitLiteralByte(GroovySourceAST t, int visit)`
`void` | `visitLiteralCase(GroovySourceAST t, int visit)`
`void` | `visitLiteralCatch(GroovySourceAST t, int visit)`
`void` | `visitLiteralChar(GroovySourceAST t, int visit)`
`void` | `visitLiteralClass(GroovySourceAST t, int visit)`
`void` | `visitLiteralContinue(GroovySourceAST t, int visit)`
`void` | `visitLiteralDef(GroovySourceAST t, int visit)`
`void` | `visitLiteralDefault(GroovySourceAST t, int visit)`
`void` | `visitLiteralDouble(GroovySourceAST t, int visit)`
`void` | `visitLiteralElse(GroovySourceAST t, int visit)`
`void` | `visitLiteralEnum(GroovySourceAST t, int visit)`
`void` | `visitLiteralExtends(GroovySourceAST t, int visit)`
`void` | `visitLiteralFalse(GroovySourceAST t, int visit)`
`void` | `visitLiteralFinally(GroovySourceAST t, int visit)`
`void` | `visitLiteralFloat(GroovySourceAST t, int visit)`
`void` | `visitLiteralFor(GroovySourceAST t, int visit)`
`void` | `visitLiteralIf(GroovySourceAST t, int visit)`
`void` | `visitLiteralImplements(GroovySourceAST t, int visit)`
`void` | `visitLiteralImport(GroovySourceAST t, int visit)`
`void` | `visitLiteralIn(GroovySourceAST t, int visit)`
`void` | `visitLiteralInstanceof(GroovySourceAST t, int visit)`
`void` | `visitLiteralInt(GroovySourceAST t, int visit)`
`void` | `visitLiteralInterface(GroovySourceAST t, int visit)`
`void` | `visitLiteralLong(GroovySourceAST t, int visit)`
`void` | `visitLiteralNative(GroovySourceAST t, int visit)`
`void` | `visitLiteralNew(GroovySourceAST t, int visit)`
`void` | `visitLiteralNull(GroovySourceAST t, int visit)`
`void` | `visitLiteralPackage(GroovySourceAST t, int visit)`
`void` | `visitLiteralPrivate(GroovySourceAST t, int visit)`
`void` | `visitLiteralProtected(GroovySourceAST t, int visit)`
`void` | `visitLiteralPublic(GroovySourceAST t, int visit)`
`void` | `visitLiteralReturn(GroovySourceAST t, int visit)`
`void` | `visitLiteralShort(GroovySourceAST t, int visit)`
`void` | `visitLiteralStatic(GroovySourceAST t, int visit)`
`void` | `visitLiteralSuper(GroovySourceAST t, int visit)`
`void` | `visitLiteralSwitch(GroovySourceAST t, int visit)`
`void` | `visitLiteralSynchronized(GroovySourceAST t, int visit)`
`void` | `visitLiteralThis(GroovySourceAST t, int visit)`
`void` | `visitLiteralThreadsafe(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrow(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrows(GroovySourceAST t, int visit)`
`void` | `visitLiteralTransient(GroovySourceAST t, int visit)`
`void` | `visitLiteralTrue(GroovySourceAST t, int visit)`
`void` | `visitLiteralTry(GroovySourceAST t, int visit)`
`void` | `visitLiteralVoid(GroovySourceAST t, int visit)`
`void` | `visitLiteralVolatile(GroovySourceAST t, int visit)`
`void` | `visitLiteralWhile(GroovySourceAST t, int visit)`
`void` | `visitLnot(GroovySourceAST t, int visit)`
`void` | `visitLor(GroovySourceAST t, int visit)`
`void` | `visitLparen(GroovySourceAST t, int visit)`
`void` | `visitLt(GroovySourceAST t, int visit)`
`void` | `visitMapConstructor(GroovySourceAST t, int visit)`
`void` | `visitMemberPointer(GroovySourceAST t, int visit)`
`void` | `visitMethodCall(GroovySourceAST t, int visit)`
`void` | `visitMethodDef(GroovySourceAST t, int visit)`
`void` | `visitMinus(GroovySourceAST t, int visit)`
`void` | `visitMinusAssign(GroovySourceAST t, int visit)`
`void` | `visitMlComment(GroovySourceAST t, int visit)`
`void` | `visitMod(GroovySourceAST t, int visit)`
`void` | `visitModAssign(GroovySourceAST t, int visit)`
`void` | `visitModifiers(GroovySourceAST t, int visit)`
`void` | `visitNls(GroovySourceAST t, int visit)`
`void` | `visitNotEqual(GroovySourceAST t, int visit)`
`void` | `visitNullTreeLookahead(GroovySourceAST t, int visit)`
`void` | `visitNumBigDecimal(GroovySourceAST t, int visit)`
`void` | `visitNumBigInt(GroovySourceAST t, int visit)`
`void` | `visitNumDouble(GroovySourceAST t, int visit)`
`void` | `visitNumFloat(GroovySourceAST t, int visit)`
`void` | `visitNumInt(GroovySourceAST t, int visit)`
`void` | `visitNumLong(GroovySourceAST t, int visit)`
`void` | `visitObjblock(GroovySourceAST t, int visit)`
`void` | `visitOneNl(GroovySourceAST t, int visit)`
`void` | `visitOptionalDot(GroovySourceAST t, int visit)`
`void` | `visitPackageDef(GroovySourceAST t, int visit)`
`void` | `visitParameterDef(GroovySourceAST t, int visit)`
`void` | `visitParameters(GroovySourceAST t, int visit)`
`void` | `visitPlus(GroovySourceAST t, int visit)`
`void` | `visitPlusAssign(GroovySourceAST t, int visit)`
`void` | `visitPostDec(GroovySourceAST t, int visit)`
`void` | `visitPostInc(GroovySourceAST t, int visit)`
`void` | `visitQuestion(GroovySourceAST t, int visit)`
`void` | `visitRangeExclusive(GroovySourceAST t, int visit)`
`void` | `visitRangeInclusive(GroovySourceAST t, int visit)`
`void` | `visitRbrack(GroovySourceAST t, int visit)`
`void` | `visitRcurly(GroovySourceAST t, int visit)`
`void` | `visitRegexFind(GroovySourceAST t, int visit)`
`void` | `visitRegexMatch(GroovySourceAST t, int visit)`
`void` | `visitRegexpCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitRegexpLiteral(GroovySourceAST t, int visit)`
`void` | `visitRegexpSymbol(GroovySourceAST t, int visit)`
`void` | `visitRparen(GroovySourceAST t, int visit)`
`void` | `visitSelectSlot(GroovySourceAST t, int visit)`
`void` | `visitSemi(GroovySourceAST t, int visit)`
`void` | `visitShComment(GroovySourceAST t, int visit)`
`void` | `visitSl(GroovySourceAST t, int visit)`
`void` | `visitSlAssign(GroovySourceAST t, int visit)`
`void` | `visitSlComment(GroovySourceAST t, int visit)`
`void` | `visitSlist(GroovySourceAST t, int visit)`
`void` | `visitSpreadArg(GroovySourceAST t, int visit)`
`void` | `visitSpreadDot(GroovySourceAST t, int visit)`
`void` | `visitSpreadMapArg(GroovySourceAST t, int visit)`
`void` | `visitSr(GroovySourceAST t, int visit)`
`void` | `visitSrAssign(GroovySourceAST t, int visit)`
`void` | `visitStar(GroovySourceAST t, int visit)`
`void` | `visitStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStarStar(GroovySourceAST t, int visit)`
`void` | `visitStarStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStaticImport(GroovySourceAST t, int visit)`
`void` | `visitStaticInit(GroovySourceAST t, int visit)`
`void` | `visitStrictfp(GroovySourceAST t, int visit)`
`void` | `visitStringCh(GroovySourceAST t, int visit)`
`void` | `visitStringConstructor(GroovySourceAST t, int visit)`
`void` | `visitStringCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitStringCtorMiddle(GroovySourceAST t, int visit)`
`void` | `visitStringCtorStart(GroovySourceAST t, int visit)`
`void` | `visitStringLiteral(GroovySourceAST t, int visit)`
`void` | `visitStringNl(GroovySourceAST t, int visit)`
`void` | `visitSuperCtorCall(GroovySourceAST t, int visit)`
`void` | `visitTripleDot(GroovySourceAST t, int visit)`
`void` | `visitType(GroovySourceAST t, int visit)`
`void` | `visitTypeArgument(GroovySourceAST t, int visit)`
`void` | `visitTypeArguments(GroovySourceAST t, int visit)`
`void` | `visitTypecast(GroovySourceAST t, int visit)`
`void` | `visitTypeLowerBounds(GroovySourceAST t, int visit)`
`void` | `visitTypeParameter(GroovySourceAST t, int visit)`
`void` | `visitTypeParameters(GroovySourceAST t, int visit)`
`void` | `visitTypeUpperBounds(GroovySourceAST t, int visit)`
`void` | `visitUnaryMinus(GroovySourceAST t, int visit)`
`void` | `visitUnaryPlus(GroovySourceAST t, int visit)`
`void` | `visitUnusedConst(GroovySourceAST t, int visit)`
`void` | `visitUnusedDo(GroovySourceAST t, int visit)`
`void` | `visitUnusedGoto(GroovySourceAST t, int visit)`
`void` | `visitVariableDef(GroovySourceAST t, int visit)`
`void` | `visitVariableParameterDef(GroovySourceAST t, int visit)`
`void` | `visitVocab(GroovySourceAST t, int visit)`
`void` | `visitWildcardType(GroovySourceAST t, int visit)`
`void` | `visitWs(GroovySourceAST t, int visit)`

Field Detail

### OPENING_VISIT

    static final int OPENING_VISIT

See Also:
  Constant Field Values

### SECOND_VISIT

    static final int SECOND_VISIT

See Also:
  Constant Field Values

### SUBSEQUENT_VISIT

    static final int SUBSEQUENT_VISIT

See Also:
  Constant Field Values

### CLOSING_VISIT

    static final int CLOSING_VISIT

See Also:
  Constant Field Values

Method Detail

### setUp

    void setUp()

### visitAbstract

    void visitAbstract(GroovySourceAST t,
                       int visit)

### visitAnnotation

    void visitAnnotation(GroovySourceAST t,
                         int visit)

### visitAnnotations

    void visitAnnotations(GroovySourceAST t,
                          int visit)

### visitAnnotationArrayInit

    void visitAnnotationArrayInit(GroovySourceAST t,
                                  int visit)

### visitAnnotationDef

    void visitAnnotationDef(GroovySourceAST t,
                            int visit)

### visitAnnotationFieldDef

    void visitAnnotationFieldDef(GroovySourceAST t,
                                 int visit)

### visitAnnotationMemberValuePair

    void visitAnnotationMemberValuePair(GroovySourceAST t,
                                        int visit)

### visitArrayDeclarator

    void visitArrayDeclarator(GroovySourceAST t,
                              int visit)

### visitAssign

    void visitAssign(GroovySourceAST t,
                     int visit)

### visitAt

    void visitAt(GroovySourceAST t,
                 int visit)

### visitBand

    void visitBand(GroovySourceAST t,
                   int visit)

### visitBandAssign

    void visitBandAssign(GroovySourceAST t,
                         int visit)

### visitBigSuffix

    void visitBigSuffix(GroovySourceAST t,
                        int visit)

### visitBlock

    void visitBlock(GroovySourceAST t,
                    int visit)

### visitBnot

    void visitBnot(GroovySourceAST t,
                   int visit)

### visitBor

    void visitBor(GroovySourceAST t,
                  int visit)

### visitBorAssign

    void visitBorAssign(GroovySourceAST t,
                        int visit)

### visitBsr

    void visitBsr(GroovySourceAST t,
                  int visit)

### visitBsrAssign

    void visitBsrAssign(GroovySourceAST t,
                        int visit)

### visitBxor

    void visitBxor(GroovySourceAST t,
                   int visit)

### visitBxorAssign

    void visitBxorAssign(GroovySourceAST t,
                         int visit)

### visitCaseGroup

    void visitCaseGroup(GroovySourceAST t,
                        int visit)

### visitClassDef

    void visitClassDef(GroovySourceAST t,
                       int visit)

### visitClosedBlock

    void visitClosedBlock(GroovySourceAST t,
                          int visit)

### visitClosureList

    void visitClosureList(GroovySourceAST t,
                          int visit)

### visitClosureOp

    void visitClosureOp(GroovySourceAST t,
                        int visit)

### visitColon

    void visitColon(GroovySourceAST t,
                    int visit)

### visitComma

    void visitComma(GroovySourceAST t,
                    int visit)

### visitCompareTo

    void visitCompareTo(GroovySourceAST t,
                        int visit)

### visitCtorCall

    void visitCtorCall(GroovySourceAST t,
                       int visit)

### visitCtorIdent

    void visitCtorIdent(GroovySourceAST t,
                        int visit)

### visitDec

    void visitDec(GroovySourceAST t,
                  int visit)

### visitDigit

    void visitDigit(GroovySourceAST t,
                    int visit)

### visitDiv

    void visitDiv(GroovySourceAST t,
                  int visit)

### visitDivAssign

    void visitDivAssign(GroovySourceAST t,
                        int visit)

### visitDollar

    void visitDollar(GroovySourceAST t,
                     int visit)

### visitDot

    void visitDot(GroovySourceAST t,
                  int visit)

### visitDynamicMember

    void visitDynamicMember(GroovySourceAST t,
                            int visit)

### visitElist

    void visitElist(GroovySourceAST t,
                    int visit)

### visitEmptyStat

    void visitEmptyStat(GroovySourceAST t,
                        int visit)

### visitEnumConstantDef

    void visitEnumConstantDef(GroovySourceAST t,
                              int visit)

### visitEnumDef

    void visitEnumDef(GroovySourceAST t,
                      int visit)

### visitEof

    void visitEof(GroovySourceAST t,
                  int visit)

### visitEqual

    void visitEqual(GroovySourceAST t,
                    int visit)

### visitEsc

    void visitEsc(GroovySourceAST t,
                  int visit)

### visitExponent

    void visitExponent(GroovySourceAST t,
                       int visit)

### visitExpr

    void visitExpr(GroovySourceAST t,
                   int visit)

### visitExtendsClause

    void visitExtendsClause(GroovySourceAST t,
                            int visit)

### visitFinal

    void visitFinal(GroovySourceAST t,
                    int visit)

### visitFloatSuffix

    void visitFloatSuffix(GroovySourceAST t,
                          int visit)

### visitForCondition

    void visitForCondition(GroovySourceAST t,
                           int visit)

### visitForEachClause

    void visitForEachClause(GroovySourceAST t,
                            int visit)

### visitForInit

    void visitForInit(GroovySourceAST t,
                      int visit)

### visitForInIterable

    void visitForInIterable(GroovySourceAST t,
                            int visit)

### visitForIterator

    void visitForIterator(GroovySourceAST t,
                          int visit)

### visitGe

    void visitGe(GroovySourceAST t,
                 int visit)

### visitGt

    void visitGt(GroovySourceAST t,
                 int visit)

### visitHexDigit

    void visitHexDigit(GroovySourceAST t,
                       int visit)

### visitIdent

    void visitIdent(GroovySourceAST t,
                    int visit)

### visitImplementsClause

    void visitImplementsClause(GroovySourceAST t,
                               int visit)

### visitImplicitParameters

    void visitImplicitParameters(GroovySourceAST t,
                                 int visit)

### visitImport

    void visitImport(GroovySourceAST t,
                     int visit)

### visitInc

    void visitInc(GroovySourceAST t,
                  int visit)

### visitIndexOp

    void visitIndexOp(GroovySourceAST t,
                      int visit)

### visitInstanceInit

    void visitInstanceInit(GroovySourceAST t,
                           int visit)

### visitInterfaceDef

    void visitInterfaceDef(GroovySourceAST t,
                           int visit)

### visitLabeledArg

    void visitLabeledArg(GroovySourceAST t,
                         int visit)

### visitLabeledStat

    void visitLabeledStat(GroovySourceAST t,
                          int visit)

### visitLand

    void visitLand(GroovySourceAST t,
                   int visit)

### visitLbrack

    void visitLbrack(GroovySourceAST t,
                     int visit)

### visitLcurly

    void visitLcurly(GroovySourceAST t,
                     int visit)

### visitLe

    void visitLe(GroovySourceAST t,
                 int visit)

### visitLetter

    void visitLetter(GroovySourceAST t,
                     int visit)

### visitListConstructor

    void visitListConstructor(GroovySourceAST t,
                              int visit)

### visitLiteralAs

    void visitLiteralAs(GroovySourceAST t,
                        int visit)

### visitLiteralAssert

    void visitLiteralAssert(GroovySourceAST t,
                            int visit)

### visitLiteralBoolean

    void visitLiteralBoolean(GroovySourceAST t,
                             int visit)

### visitLiteralBreak

    void visitLiteralBreak(GroovySourceAST t,
                           int visit)

### visitLiteralByte

    void visitLiteralByte(GroovySourceAST t,
                          int visit)

### visitLiteralCase

    void visitLiteralCase(GroovySourceAST t,
                          int visit)

### visitLiteralCatch

    void visitLiteralCatch(GroovySourceAST t,
                           int visit)

### visitLiteralChar

    void visitLiteralChar(GroovySourceAST t,
                          int visit)

### visitLiteralClass

    void visitLiteralClass(GroovySourceAST t,
                           int visit)

### visitLiteralContinue

    void visitLiteralContinue(GroovySourceAST t,
                              int visit)

### visitLiteralDef

    void visitLiteralDef(GroovySourceAST t,
                         int visit)

### visitLiteralDefault

    void visitLiteralDefault(GroovySourceAST t,
                             int visit)

### visitLiteralDouble

    void visitLiteralDouble(GroovySourceAST t,
                            int visit)

### visitLiteralElse

    void visitLiteralElse(GroovySourceAST t,
                          int visit)

### visitLiteralEnum

    void visitLiteralEnum(GroovySourceAST t,
                          int visit)

### visitLiteralExtends

    void visitLiteralExtends(GroovySourceAST t,
                             int visit)

### visitLiteralFalse

    void visitLiteralFalse(GroovySourceAST t,
                           int visit)

### visitLiteralFinally

    void visitLiteralFinally(GroovySourceAST t,
                             int visit)

### visitLiteralFloat

    void visitLiteralFloat(GroovySourceAST t,
                           int visit)

### visitLiteralFor

    void visitLiteralFor(GroovySourceAST t,
                         int visit)

### visitLiteralIf

    void visitLiteralIf(GroovySourceAST t,
                        int visit)

### visitLiteralImplements

    void visitLiteralImplements(GroovySourceAST t,
                                int visit)

### visitLiteralImport

    void visitLiteralImport(GroovySourceAST t,
                            int visit)

### visitLiteralIn

    void visitLiteralIn(GroovySourceAST t,
                        int visit)

### visitLiteralInstanceof

    void visitLiteralInstanceof(GroovySourceAST t,
                                int visit)

### visitLiteralInt

    void visitLiteralInt(GroovySourceAST t,
                         int visit)

### visitLiteralInterface

    void visitLiteralInterface(GroovySourceAST t,
                               int visit)

### visitLiteralLong

    void visitLiteralLong(GroovySourceAST t,
                          int visit)

### visitLiteralNative

    void visitLiteralNative(GroovySourceAST t,
                            int visit)

### visitLiteralNew

    void visitLiteralNew(GroovySourceAST t,
                         int visit)

### visitLiteralNull

    void visitLiteralNull(GroovySourceAST t,
                          int visit)

### visitLiteralPackage

    void visitLiteralPackage(GroovySourceAST t,
                             int visit)

### visitLiteralPrivate

    void visitLiteralPrivate(GroovySourceAST t,
                             int visit)

### visitLiteralProtected

    void visitLiteralProtected(GroovySourceAST t,
                               int visit)

### visitLiteralPublic

    void visitLiteralPublic(GroovySourceAST t,
                            int visit)

### visitLiteralReturn

    void visitLiteralReturn(GroovySourceAST t,
                            int visit)

### visitLiteralShort

    void visitLiteralShort(GroovySourceAST t,
                           int visit)

### visitLiteralStatic

    void visitLiteralStatic(GroovySourceAST t,
                            int visit)

### visitLiteralSuper

    void visitLiteralSuper(GroovySourceAST t,
                           int visit)

### visitLiteralSwitch

    void visitLiteralSwitch(GroovySourceAST t,
                            int visit)

### visitLiteralSynchronized

    void visitLiteralSynchronized(GroovySourceAST t,
                                  int visit)

### visitLiteralThis

    void visitLiteralThis(GroovySourceAST t,
                          int visit)

### visitLiteralThreadsafe

    void visitLiteralThreadsafe(GroovySourceAST t,
                                int visit)

### visitLiteralThrow

    void visitLiteralThrow(GroovySourceAST t,
                           int visit)

### visitLiteralThrows

    void visitLiteralThrows(GroovySourceAST t,
                            int visit)

### visitLiteralTransient

    void visitLiteralTransient(GroovySourceAST t,
                               int visit)

### visitLiteralTrue

    void visitLiteralTrue(GroovySourceAST t,
                          int visit)

### visitLiteralTry

    void visitLiteralTry(GroovySourceAST t,
                         int visit)

### visitLiteralVoid

    void visitLiteralVoid(GroovySourceAST t,
                          int visit)

### visitLiteralVolatile

    void visitLiteralVolatile(GroovySourceAST t,
                              int visit)

### visitLiteralWhile

    void visitLiteralWhile(GroovySourceAST t,
                           int visit)

### visitLnot

    void visitLnot(GroovySourceAST t,
                   int visit)

### visitLor

    void visitLor(GroovySourceAST t,
                  int visit)

### visitLparen

    void visitLparen(GroovySourceAST t,
                     int visit)

### visitLt

    void visitLt(GroovySourceAST t,
                 int visit)

### visitMapConstructor

    void visitMapConstructor(GroovySourceAST t,
                             int visit)

### visitMemberPointer

    void visitMemberPointer(GroovySourceAST t,
                            int visit)

### visitMethodCall

    void visitMethodCall(GroovySourceAST t,
                         int visit)

### visitMethodDef

    void visitMethodDef(GroovySourceAST t,
                        int visit)

### visitMinus

    void visitMinus(GroovySourceAST t,
                    int visit)

### visitMinusAssign

    void visitMinusAssign(GroovySourceAST t,
                          int visit)

### visitMlComment

    void visitMlComment(GroovySourceAST t,
                        int visit)

### visitMod

    void visitMod(GroovySourceAST t,
                  int visit)

### visitModifiers

    void visitModifiers(GroovySourceAST t,
                        int visit)

### visitModAssign

    void visitModAssign(GroovySourceAST t,
                        int visit)

### visitNls

    void visitNls(GroovySourceAST t,
                  int visit)

### visitNotEqual

    void visitNotEqual(GroovySourceAST t,
                       int visit)

### visitNullTreeLookahead

    void visitNullTreeLookahead(GroovySourceAST t,
                                int visit)

### visitNumBigDecimal

    void visitNumBigDecimal(GroovySourceAST t,
                            int visit)

### visitNumBigInt

    void visitNumBigInt(GroovySourceAST t,
                        int visit)

### visitNumDouble

    void visitNumDouble(GroovySourceAST t,
                        int visit)

### visitNumFloat

    void visitNumFloat(GroovySourceAST t,
                       int visit)

### visitNumInt

    void visitNumInt(GroovySourceAST t,
                     int visit)

### visitNumLong

    void visitNumLong(GroovySourceAST t,
                      int visit)

### visitObjblock

    void visitObjblock(GroovySourceAST t,
                       int visit)

### visitOneNl

    void visitOneNl(GroovySourceAST t,
                    int visit)

### visitOptionalDot

    void visitOptionalDot(GroovySourceAST t,
                          int visit)

### visitPackageDef

    void visitPackageDef(GroovySourceAST t,
                         int visit)

### visitParameters

    void visitParameters(GroovySourceAST t,
                         int visit)

### visitParameterDef

    void visitParameterDef(GroovySourceAST t,
                           int visit)

### visitPlus

    void visitPlus(GroovySourceAST t,
                   int visit)

### visitPlusAssign

    void visitPlusAssign(GroovySourceAST t,
                         int visit)

### visitPostDec

    void visitPostDec(GroovySourceAST t,
                      int visit)

### visitPostInc

    void visitPostInc(GroovySourceAST t,
                      int visit)

### visitQuestion

    void visitQuestion(GroovySourceAST t,
                       int visit)

### visitRangeExclusive

    void visitRangeExclusive(GroovySourceAST t,
                             int visit)

### visitRangeInclusive

    void visitRangeInclusive(GroovySourceAST t,
                             int visit)

### visitRbrack

    void visitRbrack(GroovySourceAST t,
                     int visit)

### visitRcurly

    void visitRcurly(GroovySourceAST t,
                     int visit)

### visitRegexpCtorEnd

    void visitRegexpCtorEnd(GroovySourceAST t,
                            int visit)

### visitRegexpLiteral

    void visitRegexpLiteral(GroovySourceAST t,
                            int visit)

### visitRegexpSymbol

    void visitRegexpSymbol(GroovySourceAST t,
                           int visit)

### visitRegexFind

    void visitRegexFind(GroovySourceAST t,
                        int visit)

### visitRegexMatch

    void visitRegexMatch(GroovySourceAST t,
                         int visit)

### visitRparen

    void visitRparen(GroovySourceAST t,
                     int visit)

### visitSelectSlot

    void visitSelectSlot(GroovySourceAST t,
                         int visit)

### visitSemi

    void visitSemi(GroovySourceAST t,
                   int visit)

### visitShComment

    void visitShComment(GroovySourceAST t,
                        int visit)

### visitSl

    void visitSl(GroovySourceAST t,
                 int visit)

### visitSlist

    void visitSlist(GroovySourceAST t,
                    int visit)

### visitSlAssign

    void visitSlAssign(GroovySourceAST t,
                       int visit)

### visitSlComment

    void visitSlComment(GroovySourceAST t,
                        int visit)

### visitSpreadArg

    void visitSpreadArg(GroovySourceAST t,
                        int visit)

### visitSpreadDot

    void visitSpreadDot(GroovySourceAST t,
                        int visit)

### visitSpreadMapArg

    void visitSpreadMapArg(GroovySourceAST t,
                           int visit)

### visitSr

    void visitSr(GroovySourceAST t,
                 int visit)

### visitSrAssign

    void visitSrAssign(GroovySourceAST t,
                       int visit)

### visitStar

    void visitStar(GroovySourceAST t,
                   int visit)

### visitStarAssign

    void visitStarAssign(GroovySourceAST t,
                         int visit)

### visitStarStar

    void visitStarStar(GroovySourceAST t,
                       int visit)

### visitStarStarAssign

    void visitStarStarAssign(GroovySourceAST t,
                             int visit)

### visitStaticImport

    void visitStaticImport(GroovySourceAST t,
                           int visit)

### visitStaticInit

    void visitStaticInit(GroovySourceAST t,
                         int visit)

### visitStrictfp

    void visitStrictfp(GroovySourceAST t,
                       int visit)

### visitStringCh

    void visitStringCh(GroovySourceAST t,
                       int visit)

### visitStringConstructor

    void visitStringConstructor(GroovySourceAST t,
                                int visit)

### visitStringCtorEnd

    void visitStringCtorEnd(GroovySourceAST t,
                            int visit)

### visitStringCtorMiddle

    void visitStringCtorMiddle(GroovySourceAST t,
                               int visit)

### visitStringCtorStart

    void visitStringCtorStart(GroovySourceAST t,
                              int visit)

### visitStringLiteral

    void visitStringLiteral(GroovySourceAST t,
                            int visit)

### visitStringNl

    void visitStringNl(GroovySourceAST t,
                       int visit)

### visitSuperCtorCall

    void visitSuperCtorCall(GroovySourceAST t,
                            int visit)

### visitTripleDot

    void visitTripleDot(GroovySourceAST t,
                        int visit)

### visitType

    void visitType(GroovySourceAST t,
                   int visit)

### visitTypecast

    void visitTypecast(GroovySourceAST t,
                       int visit)

### visitTypeArgument

    void visitTypeArgument(GroovySourceAST t,
                           int visit)

### visitTypeArguments

    void visitTypeArguments(GroovySourceAST t,
                            int visit)

### visitTypeLowerBounds

    void visitTypeLowerBounds(GroovySourceAST t,
                              int visit)

### visitTypeParameter

    void visitTypeParameter(GroovySourceAST t,
                            int visit)

### visitTypeParameters

    void visitTypeParameters(GroovySourceAST t,
                             int visit)

### visitTypeUpperBounds

    void visitTypeUpperBounds(GroovySourceAST t,
                              int visit)

### visitUnaryMinus

    void visitUnaryMinus(GroovySourceAST t,
                         int visit)

### visitUnaryPlus

    void visitUnaryPlus(GroovySourceAST t,
                        int visit)

### visitUnusedConst

    void visitUnusedConst(GroovySourceAST t,
                          int visit)

### visitUnusedDo

    void visitUnusedDo(GroovySourceAST t,
                       int visit)

### visitUnusedGoto

    void visitUnusedGoto(GroovySourceAST t,
                         int visit)

### visitVariableDef

    void visitVariableDef(GroovySourceAST t,
                          int visit)

### visitVariableParameterDef

    void visitVariableParameterDef(GroovySourceAST t,
                                   int visit)

### visitVocab

    void visitVocab(GroovySourceAST t,
                    int visit)

### visitWildcardType

    void visitWildcardType(GroovySourceAST t,
                           int visit)

### visitWs

    void visitWs(GroovySourceAST t,
                 int visit)

### visitDefault

    void visitDefault(GroovySourceAST t,
                      int visit)

### tearDown

    void tearDown()

### push

    void push(GroovySourceAST t)

### pop

    GroovySourceAST pop()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD